Enable or disable telemetry collection for your Ops Manager installation.
Required Roles
This endpoint requires an API key that has the Global Owner role.
Endpoint
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/private/v1.0/telemetry
PATCH /collection/statusRequest
Path Parameters
This endpoint doesn't use HTTP request path parameters.
Query Parameters
This endpoint doesn't use HTTP request query parameters.
Body Parameters
Name | Type | Necessity | Description |
|---|---|---|---|
enabled | boolean | required | Set to |
Response
Response Document
This endpoint returns an empty JSON object.
Example Request
curl --user "{publicApiKey}:{privateApiKey}" --digest \ --header "Accept: application/json" \ --header "Content-Type: application/json" \ --include \ --request PATCH "https://<OpsManagerHost>:<Port>/api/private/v1.0/telemetry/collection/status"Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 400 Bad RequestContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}X-MongoDB-Service-Version: gitHash={gitHash};versionString={ApplicationVersion}Content-Length: {requestLengthInBytes}HTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{}